summaryrefslogtreecommitdiff
path: root/bin/tests_dev27.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2016-08-19 11:21:43 -0400
committerJoseph Hunkeler <jhunkeler@gmail.com>2016-08-19 11:21:43 -0400
commitc1189149053228204277708cc01037e6c9891d37 (patch)
tree428c25de7334c2df058ef87f846f33f5c0390f3c /bin/tests_dev27.sh
parenta26ab9064bc34e6695cb1e255522fab3f55deeb8 (diff)
downloadastroconda-control-c1189149053228204277708cc01037e6c9891d37.tar.gz
Rolling updateHEADmaster
Diffstat (limited to 'bin/tests_dev27.sh')
-rwxr-xr-xbin/tests_dev27.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/tests_dev27.sh b/bin/tests_dev27.sh
index a1cd0b9..532a503 100755
--- a/bin/tests_dev27.sh
+++ b/bin/tests_dev27.sh
@@ -11,7 +11,7 @@ repo=http://ssb.stsci.edu/conda-dev
source activate rt_${context}27
# Update environment
-conda update -q -y --override-channels -c defaults -c $repo --all
+conda update -q -y --override-channels -c $repo -c defaults --all
source /eng/ssb/auto/astroconda/include/post-common.sh
@@ -31,6 +31,8 @@ set -x
[[ -d $LOGDIR ]] && [[ $LOGDIR != ^/$ ]] && rm -f "$LOGDIR/*"
pushd $LOGDIR
time pdkrun --parallel=${CPU_COUNT} -r "${tests[@]}"
+ retval=$?
popd
cat ${PDK_LOG}* | ssh iraf@ssb "irafdev ; pdk import -"
+exit $retval